<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="3.24"/>
  <requires lib="libadwaita" version="1.0"/>

  <template class="DBDateTimePicker" parent="GtkBox">
    <property name="orientation">horizontal</property>
    <property name="spacing">12</property>
    <property name="homogeneous">True</property>

    <child>
      <object class="GtkListBox">
        <property name="selection-mode">none</property>
        <style>
          <class name="boxed-list"/>
        </style>
        <child>
          <object class="AdwActionRow" id="btn_input_date">
            <accessibility>
              <property name="label" translatable="yes">Input date</property>
              <property name="has-popup">true</property>
            </accessibility>

            <style>
              <class name="property"/>
            </style>

            <property name="title" translatable="yes">Date</property>

            <property name="activatable">True</property>
            <child type="suffix">
              <object class="GtkBox">
                <property name="valign">center</property>
                <property name="visible" bind-property="sensitive" bind-source="btn_input_date" bind-flags="sync-create"/>
                <child>
                  <object class="GtkImage">
                    <property name="icon-name">down-small-symbolic</property>
                    <property name="valign">center</property>
                    <property name="halign">center</property>
                  </object>
                </child>
                <child>
                  <object class="GtkPopover" id="popover_date">
                    <signal name="notify::visible" handler="handle_date_popover_open" swapped="true"/>
                    <child>
                      <object class="GtkCalendar" id="pick_cal">
                        <style>
                          <class name="background"/>
                        </style>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkListBox">
        <property name="selection-mode">none</property>
        <style>
          <class name="boxed-list"/>
        </style>
        <child>
          <object class="AdwActionRow" id="btn_input_time">
            <accessibility>
              <property name="label" translatable="yes">Input time</property>
              <property name="has-popup">true</property>
            </accessibility>

            <style>
              <class name="property"/>
            </style>

            <property name="activatable">True</property>
            <property name="title" translatable="yes">Time</property>
            <child type="suffix">
              <object class="GtkBox">
                <property name="valign">center</property>
                <property name="visible" bind-property="sensitive" bind-source="btn_input_time" bind-flags="sync-create"/>
                <child>
                  <object class="GtkImage">
                    <property name="icon-name">down-small-symbolic</property>
                    <property name="valign">center</property>
                    <property name="halign">center</property>
                  </object>
                </child>
                <child>
                  <object class="GtkPopover" id="popover_time">
                    <signal name="notify::visible" handler="handle_time_popover_open" swapped="true"/>
                    <child>
                      <object class="GtkBox">
                        <property name="orientation">vertical</property>
                        <property name="spacing">6</property>
                        <child>
                          <object class="GtkBox">
                            <property name="halign">center</property>
                            <child>
                              <object class="GtkSpinButton" id="pick_hour">
                                <style>
                                  <class name="vertical"/>
                                </style>

                                <property name="orientation">vertical</property>
                                <property name="valign">center</property>
                                <property name="numeric">True</property>
                                <property name="wrap">true</property>
                                <property name="adjustment">adj_hour</property>

                                <signal name="output" handler="handle_spinner_output_two_digit" swapped="true"/>
                              </object>
                            </child>

                            <child>
                              <object class="GtkLabel">
                                <property name="label"> ∶ </property>
                              </object>
                            </child>

                            <child>
                              <object class="GtkSpinButton" id="pick_minute">
                                <style>
                                  <class name="vertical"/>
                                </style>

                                <property name="orientation">vertical</property>
                                <property name="valign">center</property>
                                <property name="numeric">True</property>
                                <property name="wrap">true</property>
                                <property name="adjustment">adj_minute</property>

                                <signal name="output" handler="handle_spinner_output_two_digit" swapped="true"/>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkToggleButton">
                            <binding name="active">
                              <lookup name="now" type="DBDateTimePicker"/>
                            </binding>
                            <property name="label" translatable="yes">Now</property>
                            <signal name="toggled" handler="handle_toggle_now" swapped="true"/>
                          </object>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>

  </template>

  <object class="GtkAdjustment" id="adj_hour">
    <property name="lower">0</property>
    <property name="upper">23</property>
    <property name="step-increment">1</property>
  </object>
  <object class="GtkAdjustment" id="adj_minute">
    <property name="lower">0</property>
    <property name="upper">59</property>
    <property name="step-increment">5</property>
  </object>
</interface>
